import java.util.List;

/**
 * Actor is an abstract superclass for all kinds of simulation
 * participants
 * 
 * @author Poul Henriksen
 * @version 2005.03.14
 */
public interface Actor
{
	/**
     * Make this actor act - that is: make it do whatever
     * it wants/needs to do.
     * @param currentField The field currently occupied.
     * @param updatedField The field to transfer to.
     * @param newActors A list to add newly created actors.
     */
    abstract public void act(Field currentField, 
                             Field updatedField, List newActors);
                             
    /**
     * Return the actor's location.
     * @return The actor's location.
     */
    public Location getLocation();
                          
}
